Kerbal Space Program - Bug #418

Certain textures sometimes fail to load
03/16/2013 09:14 PM - SodiumEyes

Status: Closed Start date: 03/16/2013
Severity: Normal % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 0.19 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Occasionally the game fails to load some textures, causing parts to show up as being black or certain letters in text to not display.
Restarting the game sometimes fixes the issue, or may cause different textures to not load. The textures affected are different every
time.

System Info:

Windows 7

8GB RAM

AMD Radeon HD 6770

Notes:
This bug also occurs in 0.18.4, but not 0.18.2

History

#1 - 03/17/2013 08:09 PM - zxcvb55
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This is actually an issue that came about in .18.4 along with a crash at the load screen. It appears that alt-tabbing (or changing to any different
window) while at the loading screen can cause any number of the games resources to fail to load. For example if you alt-tab in and out of the game
very quickly during the duration of the load, most of the textures won't load, sometimes you won't get particles, and I've actually had the game crash
at the start screen.

At any rate, | can confirm this. It's been documented before but I'll leave the priority at normal because (as someone who frequently alt-tabs) | think it
one of the more annoying bugs. ;)

#2 - 09/06/2014 02:14 PM - jonnyp
- Platform Any added

Can't reproduce on OSX. Tried Loading the game several times while cmd+tabbing in and out of the game during loading. Need it tested on other
platforms before closing

#3 - 09/06/2014 02:25 PM - jonnyp

Also tested on windows (Thanks quietGhost (IRC name)) - Cannot be reproduced

#4 - 11/21/2015 10:07 AM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Textures are loading fine in build 1028, they are dds now rather than the strange mbm format.

#5 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed
